npm install时遇到错误"error:0308010C:digital envelope routines::unsupported"的解决办法

  • npm install时遇到错误"error:0308010C:digital envelope routines::unsupported"的解决办法已关闭评论
  • 122 次浏览
  • A+
所属分类:Web前端
摘要

  今天早上打开电脑,更新了日常工作的github仓库,然后就是习惯性地执行了”npm install”,发现报了下面这个错误:

  今天早上打开电脑,更新了日常工作的github仓库,然后就是习惯性地执行了"npm install",发现报了下面这个错误:

Error: error:0308010C:digital envelope routines::unsupported

  顺便看了一下错误堆栈,发现是一个Node的内核文件抛出来的错误,我的第一反应这个错误应该是和Node的版本有关(前几天刚刚升级过Node),所以理所当然地降低Node的版本应该可以解决这个问题。或者使用nvm(Windows平台上也可以使用nvm-windows)安装多个不同的Node版本。

  除了切换Node的版本来解决这个问题外,其实还可以尝试启用legacy OpenSSL provider来解决这个问题,通过下面的命令行操作起来更容易:

Unix (Linux, macOS, Git bash等)

export NODE_OPTIONS=--openssl-legacy-provider

Windows

set NODE_OPTIONS=--openssl-legacy-provider

PowerShell

$env:NODE_OPTIONS = "--openssl-legacy-provider"

 

  另外一个方法是在项目的package.json文件里将

"start": "react-scripts start"

  替换成:

"start": "react-scripts --openssl-legacy-provider start"

  不过这个方法我没有试过。